import React from "react";
export type SelectProps = {
    name: string;
    disabled?: boolean;
    children: React.ReactNode;
};
declare const Select: {
    ({ disabled, name, children }: SelectProps): JSX.Element;
    Button: ({ disabled, style, hasErrorMessage, }: import("./Button").SelectButtonProps) => JSX.Element;
    Options: ({ children, style }: import("./Options").SelectOptionsProps) => JSX.Element | null;
    Option: ({ children, style, value, hoverStyle, selectedOptionStyle, }: import("./Option").SelectOptionProps) => JSX.Element;
    Label: ({ children, style }: {
        children: React.ReactNode;
        style?: React.CSSProperties | undefined;
    }) => JSX.Element;
};
export default Select;
